# MODIFY IN THE SVN

%define version 1.2.11
%define release 9

%ifarch ppc64 %mips %arm
%define build_option PERL_CHECKER_TARGET='debug-code BCSUFFIX=""'
%define require_ocaml /usr/bin/ocamlrun
%else
%define build_option %nil
%define require_ocaml %nil
%endif

Summary: Verify Perl code
Name: perl_checker
Version: %{version}
Release: %{release}
License: GPLv2+
Group: Development/Perl
Requires: perl-base >= 2:5.8.0 %{require_ocaml}
URL: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/perl_checker
Source0: perl_checker-%version.tar.bz2
BuildRequires: ocaml >= 3.06
# for the faked packages:
AutoReqProv: 0

Obsoletes: perl-MDK-Common-devel <= 1.1.24
Provides: perl-MDK-Common-devel <= 1.1.24

%description
Various verifying scripts created for DrakX

%prep
%setup -q

%build
# (tv) fix testsuite:
cat > src/test/.perl_checker<<EOF
Carp
Carp::Heavy
File::Sync
EOF
make %build_option

%install
%makeinstall_std %build_option

%files
%doc src/perl_checker.html
%{_bindir}/*
%{_datadir}/perl_checker
%{_datadir}/vim/ftplugin/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*





%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.2.11-9
+ Revision: 796029e
- MassBuild#440: Increase release tag


